Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.javadoc
Class JavadocTypeCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.javadoc.JavadocTypeCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class JavadocTypeCheck

extends Check

Checks the Javadoc of a type.

Version:
  1.1
Author:
  Oliver Burn, Michael Tamm

Constructor Summary
`JavadocTypeCheck()`

Method Summary
`int[]` | `getDefaultTokens()` Returns the default token a check is interested in.
`void` | `setAllowMissingParamTags(boolean aFlag)` Controls whether to allow a type which has type parameters to omit matching param tags in the javadoc.
`void` | `setAuthorFormat(String aFormat)` Set the author tag pattern.
`void` | `setExcludeScope(String aScope)` Set the excludeScope.
`void` | `setScope(String aFrom)` Sets the scope to check.
`void` | `setVersionFormat(String aFormat)` Set the version format pattern.
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavadocTypeCheck

    public JavadocTypeCheck()

Method Detail

### setScope

    public void setScope(String aFrom)

  Sets the scope to check.

  Parameters:
    `aFrom` - string to set scope from

### setExcludeScope

    public void setExcludeScope(String aScope)

  Set the excludeScope.

  Parameters:
    `aScope` - a `String` value

### setAuthorFormat

    public void setAuthorFormat(String aFormat)
                         throws org.apache.commons.beanutils.ConversionException

  Set the author tag pattern.

  Parameters:
    `aFormat` - a `String` value
  Throws:
    `org.apache.commons.beanutils.ConversionException` - unable to parse aFormat

### setVersionFormat

    public void setVersionFormat(String aFormat)
                          throws org.apache.commons.beanutils.ConversionException

  Set the version format pattern.

  Parameters:
    `aFormat` - a `String` value
  Throws:
    `org.apache.commons.beanutils.ConversionException` - unable to parse aFormat

### setAllowMissingParamTags

    public void setAllowMissingParamTags(boolean aFlag)

  Controls whether to allow a type which has type parameters to omit matching param tags in the javadoc. Defaults to false.

  Parameters:
    `aFlag` - a `Boolean` value

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD